Bug 440287 - X crashes during logoff
X crashes during logoff
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 12:39 EDT by Adrian "Adi1981" P.
Modified: 2009-07-14 13:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:35:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.0.log (21.65 KB, application/octet-stream)
2008-04-02 12:39 EDT, Adrian "Adi1981" P.
no flags Details

  None (edit)
Description Adrian "Adi1981" P. 2008-04-02 12:39:30 EDT
Description of problem: 

When trying to logoff (also reboot/shutdown) from X i'm getting xorg hung with
backtrace :

Backtrace:
0: X(xf86SigHandler+0x79) [0x80bc2a9]
1: [0x110400]
2: X(GetPointerEvents+0xb18) [0x8097498]
3: X(xf86PostMotionEventP+0x9c) [0x80d4e1c]
4: X(xf86PostMotionEvent+0x68) [0x80d4fa8]
5: /usr/lib/xorg/modules/input//evdev_drv.so [0x12795a]
6: X [0x80bc447]
7: X [0x80aba6e]
8: [0x110400]
9: /usr/lib/xorg/modules/drivers//nv_drv.so(G80DispShutdown+0xfa) [0x304f5a]
10: /usr/lib/xorg/modules/drivers//nv_drv.so [0x305632]
11: /usr/lib/xorg/modules/drivers//nv_drv.so [0x30687f]
12: X [0x816a4e1]
13: X [0x80c14fb]
14: X [0x81479dd]
15: X [0x8168b32]
16: X [0x814061e]
17: /usr/lib/xorg/modules/extensions//libglx.so [0x28e1a3]
18: X(main+0x4ec) [0x806b38c]
19: /lib/libc.so.6(__libc_start_main+0xe6) [0xc185d6]
20: X(FontFileCompleteXLFD+0x22d) [0x806a701]

Fatal server error:
Caught signal 11.  Server aborting

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.901-14.20080314.fc9.i386

How reproducible:
Very often.

Steps to Reproduce:
1. Login to X
2. Logoff

or 

3. boot in init 3
4. from root account: startx
5. When gnome will ask if we really want to login using root account, hit cancel
  
Actual results:
X crashes, reboot is needed.

Expected results:
Just logoff from session and see nice login manager
Comment 1 Adrian "Adi1981" P. 2008-04-02 12:39:30 EDT
Created attachment 300093 [details]
xorg.0.log
Comment 2 Matěj Cepl 2008-04-03 10:02:16 EDT
Try to upgrade to the latest Rawhide. Could you still reproduce it (evdev is
gone now for most cases)?
Comment 3 Adrian "Adi1981" P. 2008-04-03 11:03:40 EDT
Well, after today's update i can logout without any problems, this seems to
work, but still when i will switch to i.e. tty2, log in as root, then try to
login with gnome session

startx -- :1

and, after gnome will ask if i REALLY want to start gnome with root privileges,
i'll hit cancel, i'm able to produce following backtraces: 

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x79) [0x80bc2f9]
1: [0x110400]
2: /usr/bin/X(GetPointerEvents+0xb18) [0x80974e8]
3: /usr/bin/X(xf86PostMotionEventP+0x9c) [0x80d4e6c]
4: /usr/bin/X(xf86PostMotionEvent+0x68) [0x80d4ff8]
5: /usr/lib/xorg/modules/input//evdev_drv.so [0x1e195a]
6: /usr/bin/X [0x80bc497]
7: /usr/bin/X [0x80ababe]
8: [0x110400]
9: [0x110416]
10: /lib/libc.so.6(sigprocmask+0x4f) [0xc2d74f]
11: /usr/bin/X(xf86UnblockSIGIO+0x57) [0x80ab527]
12: /usr/lib/xorg/modules//libint10.so(finish_int+0x21) [0x31a0d1]
13: /usr/lib/xorg/modules//libint10.so(xf86ExecX86int10+0x43) [0x31aef3]
14: /usr/lib/xorg/modules/drivers//nv_drv.so [0x30566a]
15: /usr/lib/xorg/modules/drivers//nv_drv.so [0x30687f]
16: /usr/bin/X [0x816a641]
17: /usr/bin/X [0x80c154b]
18: /usr/bin/X [0x8147a6d]
19: /usr/bin/X [0x8168c92]
20: /usr/bin/X [0x81406ae]
21: /usr/lib/xorg/modules/extensions//libglx.so [0x28f0e3]
22: /usr/bin/X(main+0x4ec) [0x806b3fc]
23: /lib/libc.so.6(__libc_start_main+0xe6) [0xc185d6]
24: /usr/bin/X(FontFileCompleteXLFD+0x221) [0x806a771]

and second:

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x79) [0x80bc2f9]
1: [0x110400]
2: /usr/bin/X(GetPointerEvents+0xb18) [0x80974e8]
3: /usr/bin/X(xf86PostMotionEventP+0x9c) [0x80d4e6c]
4: /usr/bin/X(xf86PostMotionEvent+0x68) [0x80d4ff8]
5: /usr/lib/xorg/modules/input//evdev_drv.so [0x1e195a]
6: /usr/bin/X [0x80bc497]
7: /usr/bin/X [0x80ababe]
8: [0x110400]
9: /usr/lib/xorg/modules/drivers//nv_drv.so(G80DispShutdown+0xfa) [0x304f5a]
10: /usr/lib/xorg/modules/drivers//nv_drv.so [0x305632]
11: /usr/lib/xorg/modules/drivers//nv_drv.so [0x30687f]
12: /usr/bin/X [0x816a641]
13: /usr/bin/X [0x80c154b]
14: /usr/bin/X [0x8147a6d]
15: /usr/bin/X [0x8168c92]
16: /usr/bin/X [0x81406ae]
17: /usr/lib/xorg/modules/extensions//libglx.so [0x28f0e3]
18: /usr/bin/X(main+0x4ec) [0x806b3fc]
19: /lib/libc.so.6(__libc_start_main+0xe6) [0xc185d6]
20: /usr/bin/X(FontFileCompleteXLFD+0x221) [0x806a771]

Fatal server error:
Caught signal 11.  Server aborting


Maybe it's somehow related to bug #439927, because after I will cancel gnome
login procedure, i see only dark tty, then switching to tty7 and back to tty2
fixes this and i can see normal terminal with above backtraces. Attaching
another Xorg.0.log is not necessary I think as they're differing only with those
backtrace's.
Comment 4 Bug Zapper 2008-05-14 04:35:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:58:47 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:35:02 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.